## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond check 1

%global crate gst-plugin-gtk4

Name:           rust-gst-plugin-gtk4
Version:        0.13.6
Release:        %autorelease
Summary:        GStreamer GTK 4 sink element

License:        MPL-2.0
URL:            https://crates.io/crates/gst-plugin-gtk4
Source:         %{crates_source}

# vendor tarball is generated by running:
#   tar xf gst-plugin-gtk4-%%{version}.crate
#   pushd gst-plugin-gtk4-%%{version}
#   patch -p1 < ../gst-plugin-gtk4-fix-metadata-auto.diff
#   patch -p1 < ../gst-plugin-gtk4-fix-metadata.diff
#   cargo vendor --versioned-dirs
#   tar Jcvf ../gst-plugin-gtk4-%%{version}-vendor.tar.xz vendor/
#   popd
Source1:        gst-plugin-gtk4-%{version}-vendor.tar.xz

# Automatically generated patch to strip dependencies and normalize metadata
Patch:          gst-plugin-gtk4-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop Windows-specific "winegl" feature
Patch:          gst-plugin-gtk4-fix-metadata.diff

BuildRequires:  rust-toolset
BuildRequires:  cargo-c >= 0.9.21
BuildRequires:  glibc-devel

BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(graphene-gobject-1.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-allocators-1.0)
BuildRequires:  pkgconfig(gstreamer-base-1.0)
BuildRequires:  pkgconfig(gstreamer-gl-1.0)
BuildRequires:  pkgconfig(gstreamer-video-1.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(gtk4-wayland)
BuildRequires:  pkgconfig(gtk4-x11)
BuildRequires:  pkgconfig(pango)

%global _description %{expand:
GStreamer GTK 4 sink element.}

%description %{_description}

%package     -n gstreamer1-plugin-gtk4
Summary:        %{summary}
# Apache-2.0 OR MIT
# MIT
# MIT OR Apache-2.0
# MPL-2.0
# Unlicense OR MIT
License:        MPL-2.0 AND MIT AND (Apache-2.0 OR MIT) AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

# additionally provide the upstream name
Provides:       %{crate} = %{version}-%{release}

%description -n gstreamer1-plugin-gtk4 %{_description}

%files       -n gstreamer1-plugin-gtk4
%license LICENSE-MPL-2.0
%license LICENSE.dependencies
%license cargo-vendor.txt
%doc README.md
%{_libdir}/gstreamer-1.0/libgstgtk4.so

%prep
%autosetup -n %{crate}-%{version} -p1 -a1
%cargo_prep -v vendor

%build
%cargo_build -f dmabuf,wayland,x11egl,x11glx
%{cargo_license_summary -f dmabuf,wayland,x11egl,x11glx}
%{cargo_license -f dmabuf,wayland,x11egl,x11glx} > LICENSE.dependencies
%{cargo_vendor_manifest}
%cargo_cbuild -f dmabuf,wayland,x11egl,x11glx

%install
%cargo_cinstall -f dmabuf,wayland,x11egl,x11glx
# remove statically linked library
rm -v %{buildroot}/%{_libdir}/gstreamer-1.0/libgstgtk4.a
# remove unnecessary pkgconfig file
rm -v %{buildroot}/%{_libdir}/pkgconfig/gstgtk4.pc

%if %{with check}
%check
%cargo_test -f dmabuf,wayland,x11egl,x11glx
%endif

%changelog
## START: Generated by rpmautospec
* Mon May 19 2025 Fabio Valentini <decathorpe@gmail.com> - 0.13.6-1
- Update to version 0.13.6

* Thu May 15 2025 Fabio Valentini <decathorpe@gmail.com> - 0.13.5-2
- Build with vendored dependencies on RHEL

* Thu May 01 2025 Fabio Valentini <decathorpe@gmail.com> - 0.13.5-1
- Update to version 0.13.5; Fixes RHBZ#2349799

* Mon Feb 24 2025 Fabio Valentini <decathorpe@gmail.com> - 0.13.4-1
- Update to version 0.13.4; Fixes RHBZ#2333994

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Nov 06 2024 Fabio Valentini <decathorpe@gmail.com> - 0.13.3-1
- Update to version 0.13.3; Fixes RHBZ#2323358

* Wed Sep 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.13.1-1
- Update to version 0.13.1; Fixes RHBZ#2298233

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 21 2024 Fabio Valentini <decathorpe@gmail.com> - 0.12.7-1
- Update to version 0.12.7; Fixes RHBZ#2283017

* Sun May 26 2024 Fabio Valentini <decathorpe@gmail.com> - 0.12.5-3
- Build GStreamer plugin with DMA-BUF support

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.12.5-2
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Wed May 08 2024 Fabio Valentini <decathorpe@gmail.com> - 0.12.5-1
- Update to version 0.12.5; Fixes RHBZ#2277752

* Wed Mar 27 2024 Fabio Valentini <decathorpe@gmail.com> - 0.12.3-1
- Update to version 0.12.3; Fixes RHBZ#2263422

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.3-1
- Update to version 0.11.3; Fixes RHBZ#2249264

* Sat Oct 21 2023 Fabio Valentini <decathorpe@gmail.com> - 0.11.1-1
- Update to version 0.11.1; Fixes RHBZ#2245481

* Sat Sep 30 2023 Kalev Lember <klember@redhat.com> - 0.11.0-2
- Package review fixes (#2241245)
- Fix source package license to only contain the license of the project
  itself
- Add virtual provides for gst-plugin-gtk4 to gstreamer1-plugin-gtk4
  subpackage
- Use cargo_cbuild and cargo_cinstall macros
- Explicitly enable wayland, x11egl, and x11glx features

* Sat Sep 30 2023 Kalev Lember <klember@redhat.com> - 0.11.0-1
- Update to 0.11.0
- Downgrade cargo-c dep to the version available in Fedora

* Sat Sep 30 2023 Kalev Lember <klember@redhat.com> - 0.10.10-1
- Initial Fedora packaging (#2241245)
## END: Generated by rpmautospec
